/*
	   Endeavour Archiver Drag & Drop Callbacks & Procedures
 */

#ifndef ARCHIVERDND_H
#define ARCHIVERDND_H

#include <gtk/gtk.h>
#include "archiver.h"

extern gint EDVArchiverLocBarIconCrossingCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void EDVArchiverDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);

extern void EDVArchiverContentsDNDSetIcon(
	edv_archiver_struct *archiver, gint row, gint column
);
extern gboolean EDVArchiverContentsDragMotionCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y, guint t,
	gpointer data
);
extern gboolean EDVArchiverDeskIconDragMotionCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y, guint t,
	gpointer data
);
extern void EDVArchiverContentsDragDataGetCB(
	GtkWidget *widget, GdkDragContext *dc,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVArchiverContentsDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVArchiverDeskIconDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVArchiverContentsDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);


#endif	/* ARCHIVERDND_H */
